; mIRC Script for the RiF Netmeeting Incoming Call Monitor V1.14
; http://rif.quakefiles.com - Copyright John Aldred 2000-2001


alias findnmcaller {
  set %axe.nmcaller $$1
  .dns $$1
}

alias callnm {
  set %axe.nmcalling.nick $nmstripdcc($$1)
  set %axe.nmcalling.host $ial($$1,1).host
  .dns $nmstripdcc($$1)
}

alias nmstripdcc {
  set %axe.nmstripdcc.nick $$1
  if ($mid(%axe.nmstripdcc.nick,1,1) = $chr(61)) { 
    set %axe.nmstripdcc.nick $mid($$1,2,$calc($len($$1) -1))
  }
  return %axe.nmstripdcc.nick  
}

on 1:DNS: {
  ; Somebody calling you in netmeeting
  ; We check for the existence of an IP address as EVERY machine on the net has an IP, but not all have a hostname
  if ($iaddress == %axe.nmcaller) && ($iaddress != $null) {
    ; If their IP address resolves to a hostname
    if ($raddress != $null) {
      set %axe.nmcallerlookedup *!*@ $+ $naddress
      if ($ial(%axe.nmcallerlookedup,0) >= 1) { echo -s $lineheader *** ( $+ $ial(%axe.nmcallerlookedup,1).nick $+ ) called you in NetMeeting ( $+ $iaddress $+ ) ( $+ $naddress $+ ) }
      else if ($ial(%axe.nmcallerlookedup,0) = 0) { echo -s $lineheader *** ( $+ $iaddress $+ ) called you in NetMeeting ( $+ $naddress $+ ) }
    }
    ; if their IP address DOESN'T resolve to a hostname
    else if ($raddress == $null) {
      set %axe.nmcallerlookedup *!*@ $+ $iaddress
      if ($ial(%axe.nmcallerlookedup,0) >= 1) { echo -s $lineheader *** ( $+ $ial(%axe.nmcallerlookedup,1).nick $+ ) called you in NetMeeting ( $+ $iaddress $+ ) }
      else if ($ial(%axe.nmcallerlookedup,0) = 0) { echo -s $lineheader *** ( $+ $iaddress $+ ) called you in NetMeeting ( $+ $iaddress $+ ) }
    }
    ; Remove the variables
    unset %axe.nmcaller
    unset %axe.nmcallerlookedup
  }
  else if ($naddress == %axe.nmcalling.host) || ($iaddress == %axe.nmcalling.host) {
    if ($raddress != $null) {
      echo -s $lineheader *** ( $+ %axe.nmcalling.nick $+ ) trying to call user in Netmeeting at IP address ( $+ $iaddress $+ )
      run c:\windows\rundll32.exe msconf.dll,CallToProtocolHandler $iaddress
    }
    unset %axe.nmcalling.nick
    unset %axe.nmcalling.host
  }
}

menu nicklist {
  Netmeeting
  .Call $snick($active,1) :callnm $1
}
